__gnu_cxx::__pool< false > Class Template Reference
Inheritance diagram for __gnu_cxx::__pool< false >:
[legend]

## Public Types

typedef unsigned short int | _Binmap_type

## Public Member Functions

| __pool (const __pool_base::_Tune &__tune)
void | _M_adjust_freelist (const _Bin_record &, _Block_record *, size_t)
bool | _M_check_threshold (size_t __bytes)
void | _M_destroy () throw ()
size_t | _M_get_align ()
const _Bin_record & | _M_get_bin (size_t __which)
size_t | _M_get_binmap (size_t __bytes)
const _Tune & | _M_get_options () const
size_t | _M_get_thread_id ()
void | _M_initialize_once ()
void | _M_reclaim_block (char *__p, size_t __bytes) throw ()
char * | _M_reserve_block (size_t __bytes, const size_t __thread_id)
void | _M_set_options (_Tune __t)

## Protected Attributes

_Binmap_type * | _M_binmap
bool | _M_init
_Tune | _M_options

## Detailed Description

### template<>
class __gnu_cxx::__pool< false >

Specialization for single thread.

Definition at line 196 of file mt_allocator.h.

The documentation for this class was generated from the following file:

- mt_allocator.h